0

first i tried to install:-

sudo apt-get install build-essential libreadline-dev libssl-dev libpq5 libpq-dev libreadline5 libsqlite3-dev libpcap-dev git-core autoconf postgresql pgadmin3 curl zlib1g-dev libxml2-dev libxslt1-dev vncviewer libyaml-dev curl zlib1g-dev

then i got this error msg :-

 sudo apt-get install build-essential libreadline-dev libssl-dev libpq5 libpq-dev libreadline5 libsqlite3-dev libpcap-dev openjdk-7-jre git-core autoconf postgresql pgadmin3 curl zlib1g-dev libxml2-dev libxslt1-dev vncviewer libyaml-dev curl zlib1g-dev subversion
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'oracle-java8-installer' instead of 'openjdk-7-jre'
Note, selecting 'git' instead of 'git-core'
Package vncviewer is a virtual package provided by:


 xtightvncviewer 1.3.10-0ubuntu4


 tigervnc-viewer 1.7.0+dfsg-8ubuntu2
You should explicitly select one to install.

E: Package 'vncviewer' has no installation candidate

i tried installing

 sudo apt install gvncviewer

and

sudo apt install xtightvncviewer

gvncviewer and xtightvncviewer are also installed but this error shows again and again

  • "...didn't solve my issue" is too vague. Please edit your question to provide complete output. Ensure you have the -universe repository enabled. – user535733 Oct 16 '18 at 17:42
  • It's a little unclear what the problem is. The error messages are pretty articulate. First, you should always start with a sudo apt-get update to update the software databases. Then, apt-get is substituting packages that are super-sets of some of your called out packages. Then it indicates that there are two choices available to get vnc... but you ask it to install one that isn't listed, and the other one seems to install... but you don't tell us what problem that you're trying to solve. Please give us more info. – heynnema Oct 16 '18 at 17:43
  • Please edit the title of your question to more specifically reflect your question – vanadium Oct 16 '18 at 18:00
  • i have edited it. – rijalboy Oct 17 '18 at 5:54
  • i am waiting for my answer .. – rijalboy Nov 4 '18 at 16:35

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.